Problems with building autoconf

Philippe Delavalade philippe.delavalade at club-internet.fr
Sat Jun 30 06:32:27 PDT 2007


Le samedi 30 juin à 14:49, M. Shuaib Khan a écrit :
> Hi,
> 
> I am building LFS 6.2 on my Dell Inspiron 6400 notebook with 512MB
> RAM, and using S.u.S.e Linux 10.2 as the base distribution.
> 
> When I try to compile the autoconf package, it exits with the
> following few error lines:
> 
> ----
> Can't locate File/Glob.pm in @INC (@INC contains:
> /sources/autoconf-2.59/tests/../lib /tools/lib/perl5/5.8.8/i686-linux
> /tools/lib/perl5/5.8.8 /tools/lib/perl5/site_perl/5.8.8/i686-linux
> /tools/lib/perl5/site_perl/5.8.8 /tools/lib/perl5/site_perl .) at
> /sources/autoconf-2.59/tests/../lib/Autom4te/General.pm line 193.
> BEGIN failed--compilation aborted at
> /sources/autoconf-2.59/tests/../lib/Autom4te/General.pm line 193.
> Compilation failed in require at
> /sources/autoconf-2.59/tests/.././bin/autom4te line 43.
> BEGIN failed--compilation aborted at
> /sources/autoconf-2.59/tests/.././bin/autom4te line 43.
> make[2]: *** [m4sugar.m4f] Error 2
> make[2]: Leaving directory `/sources/autoconf-2.59/lib/m4sugar'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/sources/autoconf-2.59/lib'
> make: *** [all-recursive] Error 1
> ----
> 
> I also tried a newer version of autoconf (2.61), and that too exits
> with the following error:
> 
> ----
> Can't locate Errno.pm in @INC (@INC contains: ../lib
> /tools/lib/perl5/5.8.8/i686-linux /tools/lib/perl5/5.8.8
> /tools/lib/perl5/site_perl/5.8.8/i686-linux
> /tools/lib/perl5/site_perl/5.8.8 /tools/lib/perl5/site_perl .) at
> ../lib/Autom4te/XFile.pm line 90.
> BEGIN failed--compilation aborted at ../lib/Autom4te/XFile.pm line 90.
> Compilation failed in require at ../bin/autom4te line 44.
> BEGIN failed--compilation aborted at ../bin/autom4te line 44.
> make[1]: *** [autoconf.in] Error 1
> make[1]: Leaving directory `/sources/autoconf-2.61/bin'
> make: *** [all-recursive] Error 1
> ----
> 
> I googled but it seems no one had problems with this package.
> 
> Any ideas?
> 
> Thank you!
> 
> -- 
> M. Shuaib Khan
> -- 
> http://linuxfromscratch.org/mailman/listinfo/lfs-support
> FAQ: http://www.linuxfromscratch.org/lfs/faq.html
> Unsubscribe: See the above information page
>  
> 

I had the same problem two weeks ago because I certainly made mistakes
while installing perl.

You can look in the archive but that's what I did :
I removed everything in /usr/loal (which was not empty)
reinstaall perl (3.2 I think) but I didn't touch to the interactive
configure script which was possibly the isue.

Philippe



More information about the lfs-support mailing list